C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.Modules.ListActionsAsync(
id: "id",
request: new GetActionModuleActionsRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.actions.modules.requests.GetActionModuleActionsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.actions().modules().listActions(
"id",
GetActionModuleActionsRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Actions\Modules\Requests\GetActionModuleActionsRequestParameters;
$client = new Management(
token: '<token>',
);
$client->actions->modules->listActions(
'id',
new GetActionModuleActionsRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.actions.modules.list_actions(
id="id",
page=1,
per_page=1,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.actions.modules.list_actions(
id: "id",
page: 1,
per_page: 1
)curl --request GET \
--url https://{tenantDomain}/api/v2/actions/modules/{id}/actions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/actions/modules/{id}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/actions/modules/{id}/actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"actions": [
{
"action_id": "<string>",
"action_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123,
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
]
}
],
"total": 123,
"page": 123,
"per_page": 123
}List all actions using an Actions Module
Lists all actions that are using a specific Actions Module, showing which deployed action versions reference this Actions Module.
GET
https://{tenantDomain}/api/v2
/
actions
/
modules
/
{id}
/
actions
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Actions;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Actions.Modules.ListActionsAsync(
id: "id",
request: new GetActionModuleActionsRequestParameters {
Page = 1,
PerPage = 1
}
);
}
}package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.actions.modules.requests.GetActionModuleActionsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.actions().modules().listActions(
"id",
GetActionModuleActionsRequestParameters
.builder()
.page(1)
.perPage(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Actions\Modules\Requests\GetActionModuleActionsRequestParameters;
$client = new Management(
token: '<token>',
);
$client->actions->modules->listActions(
'id',
new GetActionModuleActionsRequestParameters([
'page' => 1,
'perPage' => 1,
]),
);from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.actions.modules.list_actions(
id="id",
page=1,
per_page=1,
)require "auth0"
client = Auth0::Management.new(token: "<token>")
client.actions.modules.list_actions(
id: "id",
page: 1,
per_page: 1
)curl --request GET \
--url https://{tenantDomain}/api/v2/actions/modules/{id}/actions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/actions/modules/{id}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v2/actions/modules/{id}/actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"actions": [
{
"action_id": "<string>",
"action_name": "<string>",
"module_version_id": "<string>",
"module_version_number": 123,
"supported_triggers": [
{
"version": "<string>",
"status": "<string>",
"runtimes": [
"<string>"
],
"default_runtime": "<string>",
"compatible_triggers": [
{
"version": "<string>"
}
]
}
]
}
],
"total": 123,
"page": 123,
"per_page": 123
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
The unique ID of the module.
クエリパラメータ
Page index of the results to return. First page is 0.
Number of results per page.
このページは役に立ちましたか?
⌘I